[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TListItemFlags

Set type used to store TListItemFlag enumeration values.

## Declaration

Source position: comctrls.pp line 985

`type TListItemFlags = set of (`
`lifDestroying,` |  | List item has been marked for destruction by a notify message.
`lifCreated` |  | List item has been marked as created by a notify message.
`);`

## Description

TListItemFlags is a set type used to store zero or more values from the TListItemFlag enumeration. It is the type used to implement the internal Flags member in TListItem.

## See also

TListItem |  | Represents the items created in TCustomListView and descendants.
TListItemFlag |  | TListItemFlag - enumerated type, a flag denoting a list item is being destroyed or created.